select
    case
        when count_before = count_after
        then 'Success. Claim counts OK'
        when count_before > count_after
        then 'Fail. ' || (count_before - count_after) || ' Claims lost.'
        else 'Fail. ' || (count_after - count_before) || ' Claims duplicated.'
    end as test_result
from
    (select count(*) as count_before from old_claim) x,
    (select count(*) as count_after from claim) y;